Class AbstractDataPagingCursorbasedRequest<T>
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<T>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<T>
se.michaelthelin.spotify.requests.data.AbstractDataPagingCursorbasedRequest<T>
- Type Parameters:
T- The response type.
- All Implemented Interfaces:
IRequest<T>
Abstract base class for cursor-based paging data requests.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classAbstractDataPagingCursorbasedRequest.Builder<T, A, BT extends AbstractDataPagingCursorbasedRequest.Builder<T,A, ?>> Abstract builder class for cursor-based paging data requests. -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedProtected constructor for cursor-based paging data requests. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Constructor Details
-
AbstractDataPagingCursorbasedRequest
Protected constructor for cursor-based paging data requests.- Parameters:
builder- The builder instance.
-